### Signal

# Gtk Application::window-added

#### Declaration

    void
    window_added (
      GtkApplication* self,
      GtkWindow* window,
      gpointer user_data
    )

#### Description [src]

Emitted when a window is added to an application.

See `gtk_application_add_window()`.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`window`

  Type: `GtkWindow`

  The newly-added window.

  The data is owned by the caller of the function.